package main

import (
	"fmt"
	"log"
	"time"
)

func main() {
	s := LoadSettings()

	e := NewEWSCalendar(s.EWS.URL, s.EWS.Username, s.EWS.Password)
	id, err := e.getCalendarFolderID()
	if err != nil {
		log.Println(err)
		return
	}

	items, err := e.getCalendarItems(id, time.Now().AddDate(0, -1, 0), time.Now().AddDate(0, 2, 0))
	if err != nil {
		log.Println(err)
		return
	}

	for _, item := range items {
		fmt.Printf("%#v\n", item)
	}

	c := NewCalDAV(s.CalDAV)
	calDavItems, err := c.GetEvents()
	if err != nil {
		log.Println(err)
		return
	}
	for _, item := range calDavItems {
		fmt.Printf("%s\n  UID: %s\n  Summary: %s\n  Start: %s\n  End: %s\n",
			item.HRef, item.UID(), item.Summary(), item.Start(), item.End())
	}
}
